GlueGen: com.jogamp.gluegen.CodeGenUtils Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Static Public Member Functions | List of all members
com.jogamp.gluegen.CodeGenUtils Class Reference
Collaboration diagram for com.jogamp.gluegen.CodeGenUtils:

## Classes

interface | EmissionCallback
| A class that emits source code of some time when activated. More...

## Static Public Member Functions

static String | capitalizeString (final String string)
| Converts first letter to upper case. More...
static String | decapitalizeString (final String string)
| Converts first letter to lower case. More...
static String | packageAsPath (final String packageName)
| Given a java package name (e.g., "java.lang"), return the package as a directory path (i.e., "java/lang"). More...
static void | emitAutogeneratedWarning (final PrintWriter w, final Object generator, final String customLine)
static void | emitJavaHeaders (final PrintWriter w, final String packageName, final String className, final boolean isClassNotInterface, final List< String > imports, final String[] accessModifiers, final String[] interfaces, final String classExtended, final EmissionCallback classDocComment) throws IOException
| Emit the opening headers for one java class/interface file. More...

## Detailed Description

Definition at line 45 of file CodeGenUtils.java.

## Member Function Documentation

## ◆ capitalizeString()

static String com.jogamp.gluegen.CodeGenUtils.capitalizeString | ( | final String | string | ) |

static

Converts first letter to upper case.

Definition at line 50 of file CodeGenUtils.java.

Here is the caller graph for this function:

## ◆ decapitalizeString()

static String com.jogamp.gluegen.CodeGenUtils.decapitalizeString | ( | final String | string | ) |

static

Converts first letter to lower case.

Definition at line 57 of file CodeGenUtils.java.

Here is the caller graph for this function:

## ◆ emitAutogeneratedWarning()

static void com.jogamp.gluegen.CodeGenUtils.emitAutogeneratedWarning | ( | final PrintWriter | w,
|  | final Object | generator,
|  | final String | customLine
| ) |  |

static

Parameters

  generator | the object that is emitting the autogenerated code. If null, the generator will not be mentioned in the warning message.
  customLine | maybe null

Definition at line 76 of file CodeGenUtils.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitJavaHeaders()

static void com.jogamp.gluegen.CodeGenUtils.emitJavaHeaders | ( | final PrintWriter | w,
|  | final String | packageName,
|  | final String | className,
|  | final boolean | isClassNotInterface,
|  | final List< String > | imports,
|  | final String[] | accessModifiers,
|  | final String[] | interfaces,
|  | final String | classExtended,
|  | final EmissionCallback | classDocComment
| ) |  | throws IOException

static

Emit the opening headers for one java class/interface file.

Definition at line 97 of file CodeGenUtils.java.

Here is the caller graph for this function:

## ◆ packageAsPath()

static String com.jogamp.gluegen.CodeGenUtils.packageAsPath | ( | final String | packageName | ) |

static

Given a java package name (e.g., "java.lang"), return the package as a directory path (i.e., "java/lang").

Definition at line 65 of file CodeGenUtils.java.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/CodeGenUtils.java